com.amazon.redshift.ssl

## Class RedshiftjdbcHostnameVerifier

- java.lang.Object
- - com.amazon.redshift.ssl.RedshiftjdbcHostnameVerifier

All Implemented Interfaces:
  HostnameVerifier

    public class RedshiftjdbcHostnameVerifier
    extends Object
    implements HostnameVerifier

### Field Summary

Fields
`static Comparator<String>` `HOSTNAME_PATTERN_COMPARATOR`
`static RedshiftjdbcHostnameVerifier` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`RedshiftjdbcHostnameVerifier()`

### Method Summary

Methods
`boolean` `verify(String hostname, SSLSession session)`
`boolean` `verifyHostName(String hostname, String pattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final RedshiftjdbcHostnameVerifier INSTANCE

#### HOSTNAME_PATTERN_COMPARATOR

    public static final Comparator<String> HOSTNAME_PATTERN_COMPARATOR

### Constructor Detail

#### RedshiftjdbcHostnameVerifier

    public RedshiftjdbcHostnameVerifier()

### Method Detail

#### verify

    public boolean verify(String hostname,
                 SSLSession session)

Specified by:
  `verify` in interface `HostnameVerifier`

#### verifyHostName

    public boolean verifyHostName(String hostname,
                         String pattern)